<template>
  <div class="JNPFAmount"><el-input-number style="width: 80% !important" v-model="innerValue" v-bind="$attrs" v-on="$listeners"> </el-input-number> /元</div>
</template>
<script>
export default {
  model: {
    prop: 'value',
    event: 'change'
  },
  props: ['value'],
  name: 'NewInput',
  data() {
    return {
      innerValue: this.value
    }
  },
  computed: {},
  watch: {
    value(val) {
      this.innerValue = val
    }
  }
}
</script>
<style lang="scss" scoped>
.JNPFAmount {
  .el-input {
    width: 90%;
  }
}
</style>
